Package org.eclipse.m2m.atl.emftvm.util

## Class MethodSignature

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.MethodSignature

    public final class MethodSignature
    extends java.lang.Object

`Method` signature for EMFTVM method caching.

### Constructor Summary

Constructors
`MethodSignature​(java.lang.Class<?> context, java.lang.String name, java.lang.Class<?>[] argumentTypes, boolean isStatic)` Creates a new `MethodSignature`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String[]` `getArgumentTypes()` Returns the method argument types.
`java.lang.String` `getContext()` Returns the method context (i.e.
`java.lang.String` `getName()` Returns the method name.
`int` `hashCode()`
`boolean` `isStatic()` Returns whether the method is static.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodSignature

    public MethodSignature​(java.lang.Class<?> context,
                           java.lang.String name,
                           java.lang.Class<?>[] argumentTypes,
                           boolean isStatic)

Creates a new `MethodSignature`.

Parameters:
  `name` - the method name
  `argumentTypes` - the method argument types
  `isStatic` - whether the method is static

### Method Detail

#### getContext

    public java.lang.String getContext()

Returns the method context (i.e. declaring class).

Returns:
  the context

#### getName

    public java.lang.String getName()

Returns the method name.

Returns:
  the name

#### getArgumentTypes

    public java.lang.String[] getArgumentTypes()

Returns the method argument types.

Returns:
  the argumentTypes

#### isStatic

    public boolean isStatic()

Returns whether the method is static.

Returns:
  the isStatic

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`